Bug 1084996 - Behave package should depend on python-setuptools
Summary: Behave package should depend on python-setuptools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-behave
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-07 13:45 UTC by Vadim Rutkovsky
Modified: 2018-04-11 12:08 UTC (History)
4 users (show)

Fixed In Version: python-behave-1.2.3-13.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-08 11:37:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Vadim Rutkovsky 2014-04-07 13:45:08 UTC
Description of problem:
After 'yum install python-behave' behave crashes in python-setuptools is not installed

Version-Release number of selected component (if applicable):
python-behave-1.2.3-11.fc21.noarch

How reproducible:
Always

Steps to Reproduce:
1. Make sure python-setuptools is not installed
2. Run behave

Actual results:
behave crashes:
Traceback (most recent call last):
  File "/usr/bin/behave", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources


Expected results:
python-behave should depend on python-setuptools

Additional info:

Comment 1 Fedora Update System 2014-04-07 15:07:46 UTC
python-behave-1.2.3-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-12.el6

Comment 2 Fedora Update System 2014-04-07 15:08:41 UTC
python-behave-1.2.3-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-12.fc19

Comment 3 Fedora Update System 2014-04-07 15:09:05 UTC
python-behave-1.2.3-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-12.fc20

Comment 4 lnie 2014-04-08 07:22:33 UTC
python-behave-1.2.3-12.fc20  works

Comment 5 Fedora Update System 2014-04-09 13:17:27 UTC
python-behave-1.2.3-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-04-17 06:03:38 UTC
python-behave-1.2.3-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-15 10:39:39 UTC
python-behave-1.2.3-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-13.el6

Comment 8 Fedora Update System 2014-06-17 16:56:30 UTC
python-behave-1.2.3-13.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.